code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash export VMNAME=${VMNAME:-"$1"} export VMNAME=${VMNAME:-"omerovm"} export TARGET=${2:-"QA"} export MEMORY=${MEMORY:-"1024"} export SSH_PF=${SSH_PF:-"2222"} export OMERO_PORT=${OMERO_PORT:-"4063"} export OMERO_PF=${OMERO_PF:-"4063"} export OMEROS_PORT=${OMEROS_PORT:-"4064"} export OMEROS_PF=${OMEROS_PF:-"406...
rleigh-dundee/openmicroscopy
docs/install/VM/omerovm.sh
Shell
gpl-2.0
4,682
#!/bin/bash docker rm -f sismics_reader docker run \ -d --name=sismics_reader --restart=always \ --link sismics_reader_hsqldb:sismics_reader_hsqldb \ --volumes-from=sismics_reader_data \ -e 'VIRTUAL_HOST_SECURE=reader.sismics.com' -e 'VIRTUAL_PORT=80' \ sismics/reader:latest
Feitianyuan/reader
run-service.sh
Shell
gpl-2.0
296
#!/usr/bin/env bash # This file contains environment variables required to run Spark. Copy it as # spark-env.sh and edit that to configure Spark for your site. # # The following variables can be set in this file: # - SPARK_LOCAL_IP, to set the IP address Spark binds to on this node # - MESOS_NATIVE_LIBRARY, to point t...
LLNL/magpie
conf/spark/spark-env-2.X.sh
Shell
gpl-2.0
2,614
#!/bin/sh ################################################################### # connect.sh # # # # Description: Connects a PEN to a specified CCN # # ...
novyzde3/Test_clondike
scripts/devel/connect.sh
Shell
gpl-2.0
1,599
#!/usr/bin/env bash # # Copyright 2014-2017, Rackspace US, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by appli...
major/rpc-openstack
scripts/gather-artifacts.sh
Shell
apache-2.0
1,556
#!/usr/bin/env bash set -e # This script builds various binary artifacts from a checkout of the docker # source code. # # Requirements: # - The current directory should be a checkout of the docker source code # (https://github.com/docker/docker). Whatever version is checked out # will be built. # - The VERSION fil...
mssola/zypper-docker
vendor/github.com/docker/docker/hack/make.sh
Shell
apache-2.0
8,926
#!/bin/bash # # Copyright 2017 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed ...
iparanza/earthenterprise
earth_enterprise/rpms/build_scripts/update_ghardy.sh
Shell
apache-2.0
2,068
#!/bin/bash $BABELOMICS_HOME/babelomics.sh --tool network-miner $*
kalyanreddyemani/opencga
opencga-app/build/tools/network-miner/network-miner.sh
Shell
apache-2.0
66
#!/bin/bash set -e echo "Getting lastest CSS and Script resources..." curl https://developers.google.com/_static/css/devsite-google-blue.css > gae/styles/devsite-google-blue.css curl https://developers.google.com/_static/js/framebox.js > gae/scripts/framebox.js curl https://developers.google.com/_static/js/jquery_ui-...
abdshomad/WebFundamentals
tools/update-resources.sh
Shell
apache-2.0
667
#!/bin/bash echo "mode: set" > acc.out FAIL=0 # Standard go tooling behavior is to ignore dirs with leading underscors for dir in $(find . -maxdepth 10 -not -path './.git*' -not -path '*/_*' -type d); do if ls $dir/*.go &> /dev/null; then go test -coverprofile=profile.out $dir || FAIL=$? if [ -f profile.out...
chinanjjohn2012/go-torch
.test-cover.sh
Shell
mit
610
#!/bin/sh # # Copyright (c) 2007 Johannes E. Schindelin # test_description='git rebase interactive This test runs git rebase "interactively", by faking an edit, and verifies that the result still makes sense. Initial setup: one - two - three - four (conflict-branch) / A - B - C - D - E (master) ...
moy/git
t/t3404-rebase-interactive.sh
Shell
gpl-2.0
20,255
#!/bin/bash # called by dracut install() { local _terminfodir # terminfo bits make things work better if you fall into interactive mode for _terminfodir in /lib/terminfo /etc/terminfo /usr/share/terminfo; do [ -f ${_terminfodir}/l/linux ] && break done if [ -d ${_terminfodir} ]; then ...
Calrama/dracut
modules.d/95terminfo/module-setup.sh
Shell
gpl-2.0
528
#!/bin/bash # For each argument passed to this script for var in "$@" do echo "Whitelisting $var..." # Use sed to search for the domain in /etc/pihole/gravity.list and remove it using an in-place edit sed -i "/$var/d" /etc/pihole/gravity.list # Also add the domain to the whitelist.txt in...
chrisdeely/pi-hole
advanced/Scripts/whitelist.sh
Shell
gpl-2.0
500
#!/bin/bash # This file is part of The RetroPie Project # # The RetroPie Project is the legal property of its developers, whose names are # too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source. # # See the LICENSE.md file at the top-level directory of this distribution and # at...
j-r0dd/RetroPie-Setup
scriptmodules/inifuncs.sh
Shell
gpl-3.0
7,483
#!/bin/bash set -eu oc config view --flatten -o template --template '{{with index .users 0}}{{.user.token}}{{end}}'
detiber/demo-ansible
playbooks/files/get_token.sh
Shell
apache-2.0
117
#!/bin/sh -x ############################## # ZSH installation ############################## cd /tmp wget https://github.com/zsh-users/zsh/archive/zsh-5.2.tar.gz tar zxf zsh-5.2.tar.gz cd zsh-5.2 ./configure sudo make sudo make install #Remove the tarball and tarball extract so they don't take up space in the final,...
nickchappell/packer-templates
works_in_progress/rhel-7-amd64/scripts/zsh.sh
Shell
apache-2.0
3,323
#!/bin/bash RES=0 . /openrc if ! keystone token-get > /dev/null; then echo "ERROR: keystone token-get failed" >&2 RES=1 else if ! glance image-list > /dev/null; then echo "ERROR: glance image-list failed" >&2 RES=1 fi fi exit $RES
rthallisey/atomic-osp-installer
docker/glance/glance-api/check.sh
Shell
apache-2.0
267
#!/bin/sh -e # # Copyright (C) 2010, 2012 Internet Systems Consortium, Inc. ("ISC") # # Permission to use, copy, modify, and/or distribute this software for any # purpose with or without fee is hereby granted, provided that the above # copyright notice and this permission notice appear in all copies. # # THE SOFTWARE ...
execunix/vinos
external/bsd/bind/dist/bin/tests/virtual-time/autosign-zsk/setup.sh
Shell
apache-2.0
1,091
#!/bin/sh # # Copyright (c) 2005, 2006, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the F...
andreagenso/java2scala
test/J2s/java/openjdk-6-src-b27/jdk/test/sun/tools/jrunscript/jrunscript-argsTest.sh
Shell
apache-2.0
1,891
#Aqueduct - Compliance Remediation Content #Copyright (C) 2011,2012 Vincent C. Passaro (vincent.passaro@gmail.com) # #This program is free software; you can redistribute it and/or #modify it under the terms of the GNU General Public License #as published by the Free Software Foundation; either version 2 #of the Licens...
quark-pat/CLIP
packages/aqueduct/aqueduct/compliance/Bash/STIG/rhel-5-beta/prod/GEN008440.sh
Shell
apache-2.0
2,756
# Prints the current weather in Celsius, Fahrenheits or lord Kelvins. The forecast is cached and updated with a period of $update_period. # The update period in seconds. update_period=600 TMUX_POWERLINE_SEG_WEATHER_DATA_PROVIDER_DEFAULT="yahoo" TMUX_POWERLINE_SEG_WEATHER_UNIT_DEFAULT="c" TMUX_POWERLINE_SEG_WEATHER_UP...
jessonfoo/dotfiles
tmux/tmux-powerline/segments/weather.sh
Shell
bsd-2-clause
6,833
#!/bin/sh # create global.h echo "#ifndef PREFIX #define PREFIX QString(\"${1}\") #endif" > global.h
grahamperrin/lumina
libLumina/make-global-h.sh
Shell
bsd-3-clause
105
if (( $+commands[kubectl] )); then __KUBECTL_COMPLETION_FILE="${ZSH_CACHE_DIR}/kubectl_completion" if [[ ! -f $__KUBECTL_COMPLETION_FILE ]]; then kubectl completion zsh >! $__KUBECTL_COMPLETION_FILE fi [[ -f $__KUBECTL_COMPLETION_FILE ]] && source $__KUBECTL_COMPLETION_FILE unset __KUBECT...
kulesa/dotfiles
zsh/.oh-my-zsh/plugins/kubectl/kubectl.plugin.zsh
Shell
mit
1,628
#!/bin/bash # Deploy to staging/production on master/release merges (not PRs) set -e # Don't deploy on PRs if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then exit 0 fi if [ "$TRAVIS_BRANCH" == "master" ]; then # Deploy to staging on a merge to master ember deploy staging --verbose --activate elif [ -n "$TRAVIS_TA...
pangratz/ember-twiddle
scripts/travis-deploy.sh
Shell
mit
415
#! /bin/sh # Copyright (C) 2011-2013 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
DDTChen/CookieVLC
vlc/extras/tools/automake/t/yflags-force-conditional.sh
Shell
gpl-2.0
1,998
#!/bin/bash #PBS -l nodes=1:ppn=20 #PBS -l walltime=168:00:00 #PBS -N session1_default #PBS -A course #PBS -q GpuQ export THEANO_FLAGS=device=gpu,floatX=float32 cd $PBS_O_WORKDIR python ./train_nmt_all.py
kyunghyuncho/dl4mt-material
session1/train_all.sh
Shell
bsd-3-clause
210
#!/bin/bash # Hello, World! cd ~ git clone https://github.com/gae-init/gae-init.git hello-world cd hello-world yarn gulp
gae-init/gae-init-docs
bin/test_hello_world.sh
Shell
mit
122
#!/bin/bash # Change this if your clang-format executable is somewhere else #CLANG_FORMAT="$HOME/Library/Application Support/Alcatraz/Plug-ins/ClangFormat/bin/clang-format" CLANG_FORMAT=./clang-format find . \( -name '*.h' -or -name '*.m' -or -name '*.mm' \) -print0 | xargs -0 "$CLANG_FORMAT" -i
longbai/iOS-netdiag
format.sh
Shell
mit
297
#!/usr/bin/env bash set -ex -o pipefail # These ones can be `npm link`ed for fast development LINKABLE_PKGS=( $(pwd)/dist/packages-dist/{common,forms,core,compiler,compiler-cli,platform-{browser,server},platform-browser-dynamic} $(pwd)/dist/tools/@angular/tsc-wrapped ) PKGS=( reflect-metadata@0.1.8 typescript@...
domusofsail/angular
scripts/ci-lite/offline_compiler_test.sh
Shell
mit
2,075
#!/bin/bash PATH=/home/deploy/realms-wiki/.venv/bin:/usr/local/bin:/usr/bin:/bin:$PATH export PATH LC_ALL=en_US.UTF-8 GEVENT_RESOLVER=ares export LC_ALL export GEVENT_RESOLVER if [ "${REALMS_WIKI_CONFIG}" != "" ]; then realms-wiki configure ${REALMS_WIKI_CONFIG} fi if [ "${REALMS_WIKI_WORKERS}" == "" ]; then ...
loleg/realms-wiki
docker/realms-wiki.sh
Shell
gpl-2.0
748
#!/bin/sh # Make sure chmod gives the right diagnostic for a readable, # but inaccessible directory. # Copyright (C) 2003-2016 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Softwar...
yuxuanchen1997/coreutils
tests/chmod/no-x.sh
Shell
gpl-3.0
2,001
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you ...
GayathriMurali/HiBench
bin/build-all.sh
Shell
apache-2.0
1,521
#!/usr/bin/env bash set -x set -e # Decide what kind of documentation build to run, and run it. # # If the last commit message has a "[doc skip]" marker, do not build # the doc. On the contrary if a "[doc build]" marker is found, build the doc # instead of relying on the subsequent rules. # # We always build the docum...
Titan-C/scikit-learn
build_tools/circle/build_doc.sh
Shell
bsd-3-clause
4,321
#!/bin/bash FN="metaboliteIDmapping_1.0.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.14/data/annotation/src/contrib/metaboliteIDmapping_1.0.0.tar.gz" "https://bioarchive.galaxyproject.org/metaboliteIDmapping_1.0.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-metaboliteidmapping/biocondu...
cokelaer/bioconda-recipes
recipes/bioconductor-metaboliteidmapping/post-link.sh
Shell
mit
1,343
if [ -e $1 ] then rm -r $1 fi mkdir $1 cp qm.x IN qm.f $1 cp en.py $1 cp derivs.f90 $1 #cp pople $1 cd $1 #qsub pople ./qm.x &
binghongcha08/pyQMD
QTM/MixQC/1.0.7/run.sh
Shell
gpl-3.0
135
#!/bin/bash # added 2014-01-17 by rgerhards # This file is part of the rsyslog project, released under ASL 2.0 echo =============================================================================== echo \[rscript_lt.sh\]: testing rainerscript LT statement for two JSON variables . $srcdir/diag.sh init . $srcdir/diag.sh st...
madedotcom/rsyslog
tests/rscript_lt_var.sh
Shell
gpl-3.0
548
# # Automated Testing Framework (atf) # # Copyright (c) 2007 The NetBSD Foundation, Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above...
krichter722/bind9
unit/atf-src/atf-sh/normalize_test.sh
Shell
gpl-3.0
1,875
# getopt-like parser parseopts() { local opt= optarg= i= shortopts=$1 local -a longopts=() unused_argv=() shift while [[ $1 && $1 != '--' ]]; do longopts+=("$1") shift done shift longoptmatch() { local o longmatch=() for o in "${longopts[@]}"; do if [[ ${o%:} = "$1" ]]; then longmatch=("$o") ...
elieux/pacman
scripts/library/parseopts.sh
Shell
gpl-2.0
3,133
#!/bin/sh java -classpath "../src/zmq.jar:zmq-perf.jar" remote_lat $@
trevorbernard/jzmq
src/main/perf/remote_lat.sh
Shell
gpl-3.0
69
#!/bin/bash # # This script packages a project as a tar.gz file and a ready-to-run apk file. # # If you *can*, you should prefer "mup" instead. # # However, if your public server has unusual characteristics, or if "mup" might # alter it inappropriately you might want to adapt this script to your special # needs. ...
radiegtya/meteoris2
productionPackager.sh
Shell
mit
5,626
#!/bin/bash export MACHTYPE=x86_64 export BINDIR=$(pwd)/bin mkdir -p $BINDIR (cd kent/src/lib && make) (cd kent/src/jkOwnLib && make) (cd kent/src/hg/lib && make) (cd kent/src/utils/stringify && make) (cd kent/src/hg/pslCDnaFilter && make) mkdir -p $PREFIX/bin cp bin/pslCDnaFilter $PREFIX/bin chmod +x $PREFIX/bin/pslC...
JenCabral/bioconda-recipes
recipes/ucsc-pslcdnafilter/build.sh
Shell
mit
330
#!/bin/bash # Copyright 2014 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
tmckayus/oshinko-cli
vendor/k8s.io/kubernetes/cluster/gce/config-default.sh
Shell
apache-2.0
18,658
#!/bin/bash # Wraps opsin.jar set -o pipefail # Find original directory of bash script, resovling symlinks # http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in/246128#246128 SOURCE="${BASH_SOURCE[0]}" while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a s...
phac-nml/bioconda-recipes
recipes/luciphor2/luciphor2.sh
Shell
mit
1,664
#!/bin/sh # Run this to generate all the initial makefiles, etc. srcdir=`dirname $0` test -z "$srcdir" && srcdir=. DIE=0 (test -f $srcdir/configure.ac) || { echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level package directory" exit 1 } (autoconf --version) < /dev/null > /dev/null 2>&1 || { ...
Akronix/geany
autogen.sh
Shell
gpl-2.0
2,746
R CMD REMOVE --library=$PREFIX/lib/R/library/ LRBase.Mmu.eg.db
joachimwolff/bioconda-recipes
recipes/bioconductor-lrbase.mmu.eg.db/pre-unlink.sh
Shell
mit
63
#!/bin/bash set -eu -o pipefail outdir=$PREFIX/share/$PKG_NAME-$PKG_VERSION-$PKG_BUILDNUM mkdir -p $outdir mkdir -p $PREFIX/bin cd $SRC_DIR cp -R dnaA_database $outdir cp *.R $outdir/ cp smeg growth_est_denovo growth_est_ref build_sp pileupParser uniqueSNPmultithreading uniqueClusterSNP $outdir chmod +x $outdir/smeg...
roryk/recipes
recipes/smeg/build.sh
Shell
mit
556
#!/bin/sh set -e DEPLOY=/home/YOU/deployment SOURCE=/home/YOU/projects/mongrel2 cd $SOURCE/examples/chat # WARNING: on some systems the nohup doesn't work, like OSX # try running it without nohup python -u chat.py > chat.log 2>&1 & echo $! > $DEPLOY/profiles/chat/chat.pid
krattai/noo-ebs
ref_code/mongrel2/docs/manual/inputs/procer_script_for_chat_demo.sh
Shell
bsd-2-clause
275
#!/usr/bin/env bash function GetNativeInstallDirectory { local install_dir if [[ -z $NETCOREENG_INSTALL_DIRECTORY ]]; then install_dir=$HOME/.netcoreeng/native/ else install_dir=$NETCOREENG_INSTALL_DIRECTORY fi echo $install_dir return 0 } function GetTempDirectory { echo $(GetNativeInstallDi...
zenos-os/zenos
vendor/corert/eng/common/native/common-library.sh
Shell
mit
3,733
#!/bin/sh set -e while true; do time go install mog -w -dev if [ $? != 0 ] ; then exit fi echo restarting done
shazow/mog
w.sh
Shell
isc
119
#!/usr/bin/env bash # Author: Nico Trost # Helper function function display_help() { echo "rocSPARSE benchmark helper script" echo " [-h|--help] prints this help message" echo " [-d|--device] select device" echo " [-p|--path] path to rocsparse-bench" } # Check if getopt command is installed t...
ROCmSoftwarePlatform/rocSPARSE
scripts/performance/dcsrsv.sh
Shell
mit
1,788
# define the different directories # the default config creates all directories in HOME export BASE_DIR=$HOME export CM_DIR=$BASE_DIR/android/system export OUT_DIR=$CM_DIR/out export CCACHE_DIR=$HOME/.ccache export CM_ARCHIVE_PARTITION=/dev/xvdf1 export CM_ARCHIVE_DIR=$BASE_DIR/mnt export CM_ARCHIVE_NAME=cmrepo.7z # c...
mawatech/setup_cm_env
old/env.sh
Shell
mit
1,259
#!/bin/bash python __init__.py
Fusxfaranto/Robcxjo
start.sh
Shell
mit
32
#!/bin/bash dir="$(pwd)" show_help() { echo -e "Usage: $0 [-h] [-fuc]\n" echo " -h Show this help message." echo " -f Force install." echo " -u Install *all* config files." echo " -c Copy files instead of using symlinking." exit 0 } force=false full=false tool="ln" # Grab arg...
ryanmjacobs/ryans_dotfiles
setup.sh
Shell
mit
2,132
source stage0n_variables source stage01_variables source stage02_variables PKGNAME=bash PKGVERSION=4.4.18 # Download: [ -f ${SRCDIR}/${PKGNAME}-${PKGVERSION}.tar.gz ] || wget -O ${SRCDIR}/${PKGNAME}-${PKGVERSION}.tar.gz \ ftp://ftp.gnu.org/gnu/bash/${PKGNAME}-${PKGVERSION}.tar.gz # Prepare build: workdir=`pwd `...
mschlenker/TinyCrossLinux
stage02/0045_bash.sh
Shell
mit
1,095
#!/bin/bash # this script is used to initiate builds regularly set -e if [[ "${DONT_PUSH}" != yes ]]; then mkdir -p ~/.docker && echo "${DOCKER_AUTH}" >~/.docker/config.json fi set -x BUILD_FAILURES=0 LAST_ACTION_PASSED=0 make ci-nightly && make ci-nightly-test || LAST_ACTION_PASSED=$? if [[ $LAST_ACTION_PASSED...
TomasTomecek/rust-container
hack/ci.sh
Shell
mit
1,326
#!/usr/bin/env bash # ide.sh # open project dir in intellij # note: must have .idea dir already # https://gist.github.com/chrisdarroch/7018927 function idea() { # check for where the latest version of IDEA is installed IDEA=`ls -1d /Applications/IntelliJ\ * | tail -n1` wd=`pwd` # were we given a directory? ...
boggebe/dotfiles
sh/ide.sh
Shell
mit
1,266
alias gvm="sdk" # for legacy
Limess/dotfiles
jvm/aliases.zsh
Shell
mit
28
export GOOGLE_CLOUD_SDK=$HOME/code/github/google-cloud-sdk if [ -d "$GOOGLE_CLOUD_SDK" ]; then # Update PATH for the Google Cloud SDK. source $GOOGLE_CLOUD_SDK/path.zsh.inc # Enable zsh completion for gcloud. source $GOOGLE_CLOUD_SDK/completion.zsh.inc alias goapp=$GOOGLE_CLOUD_SDK/platform/google_appengin...
markscholtz/dotfiles
google-cloud-sdk/google-cloud-sdk.zsh
Shell
mit
331
#!/bin/sh # drop all ports of IP 172.16.1.0/24 sudo /usr/sbin/iptables -D INPUT -s 172.16.1.0/24 -j DROP # accept only port 51000 of IP 172.16.1.0/24 sudo /usr/sbin/iptables -D INPUT -s 172.16.1.0/24 -p tcp --dport 51000 -j ACCEPT
TorbenHaug/RNP
Aufgabe4/3bRemove.sh
Shell
mit
234
#!/bin/sh exec java -Dderby.system.home=/opt/derby/databases -jar ${DERBY_HOME}/lib/derbyrun.jar server start
fupelaqu/ansible-docker-db
files/derby/run.sh
Shell
mit
111
#!/bin/bash # exit if a command fails set -e # # Required parameters if [ -z "${info_plist_file}" ] ; then echo " [!] Missing required input: info_plist_file" exit 1 fi if [ ! -f "${info_plist_file}" ] ; then echo " [!] File Info.plist doesn't exist at specified path: ${info_plist_file}" exit 1 fi if [ -z "$...
teference/steps-set-ios-bundle-identifier
step.sh
Shell
mit
1,290
alias ss='bin/spring stop && sleep 1; ps ax | ag "[s]pring"' alias r='bin/spring rails' alias be='bundle exec'
conf/dotfiles
ruby/aliases.zsh
Shell
mit
111
# To activate, use: # source ~/bin/nvm_init.sh export NVM_DIR="$HOME/.nvm" . "/usr/local/opt/nvm/nvm.sh"
kaeff/.bin
nvm_init.sh
Shell
mit
108
#!/bin/bash # # The MIT License (MIT) # Copyright © 2016 Michał Dobaczewski <mdobak@gmail.com> # _UTILS_SH=true; true=0 false=-1 # Check if current OS is supported by this script. check_os_support () { if [[ ! is_mac && ! is_linux ]]; then echo_error "Unsupported operating system! Only the Linux and Mac OS are...
MDobak/docker-dev-env
src/util.sh
Shell
mit
4,901
#!/bin/bash cd "$(dirname $0)" if [ -z "$1" ] then bash ./roundup.sh tests/*-test.sh else bash ./roundup.sh "$@" fi
chingjun/jumbo
run-test.sh
Shell
mit
124
#!/bin/bash # DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) VERSION=$(cat "${DIR}/../VERSION") CLUSTER_VERSION=${CLUSTER_VERSION:=$VERSION} INSTANCE_BUILDER_NAME="verifier-instance-image-builder-${CLUSTER_VERSION//./-}" INSTANCE_GROUP_NAME="verifier-cluster-${CLUSTER_VERSION//./-}" TEMPLATE_NAME="verifier-te...
dinoboff/docker-code-verifier
scripts/deploy.sh
Shell
mit
10,461
#!/bin/bash echo "deb http://download.openvz.org/debian wheezy main" >> /etc/apt/sources.list.d/openvz.list wget http://ftp.openvz.org/debian/archive.key apt-key add archive.key apt-get -qq update apt-get install -qqy linux-image-openvz-amd64 echo '# On Hardware Node we generally need # packet forwarding enabled and p...
h3rX9m/debian-first-install
files/openvz.bash
Shell
mit
757
#!/bin/bash psql -f delete_ddl.sql
Bauer312/election-data
Model/destroy.sh
Shell
mit
35
#!/bin/bash # Get provisionning directory dir=/vagrant/vagrant scripts=$dir/scripts # Load configuration . "$1" # Server configuration if [ "$2" == "server" ]; then $scripts/server/user.sh $scripts/server/repos.sh $scripts/server/update.sh $scripts/server/start-stop-daemon.sh $scripts/server/ssh....
fantoine/vagrant-provision-centos6.6
setup.sh
Shell
mit
3,891
#!/bin/bash set -o pipefail get_changes () { git remote add current https://github.com/tastejs/todomvc.git && \ git fetch --quiet current && \ git diff HEAD origin/master --name-only | awk 'BEGIN {FS = "/"}; {print $1 "/" $2 "/" $3}' | grep -v \/\/ | grep examples | awk -F '[/]' '{print "--framework=" $2}'|uniq }...
elacin/todomvc
test-runner.sh
Shell
mit
1,324
#!/bin/bash if [ $# -le 0 ]; then echo "Error: No command was specified for the test" exit fi COMMAND="$1" HOST="http://127.0.0.1:8000" CONCURRENCIES=(10 100 500) REQUESTLOADS=(100 1000 10000) ENDPOINTS=("/status" "/echo/hello") echo "//////////////////////////////////////////" echo "/------------ Beginnin...
bwinterton/spark_vs_go
test_2.sh
Shell
mit
1,237
webkit2png --fullsize --zoom=0.6 index.html -o index && imgcat index-full.png
jvranish/adventures_in_js
js_map_gen/render.sh
Shell
mit
78
#!/usr/bin/env zsh # Continue on error set +e # # Set path variables for all the preferences/settings # user_library_path="$HOME/Library" dotf_library_path="$DOTFILES_DIR/Library" rsync_backup_path="$DOTFILES_DIR/Library/_backup" user_preferences_path="$user_library_path/Preferences" dotf_preferences_path="$dotf_li...
ladislas/dotfiles
scripts/rsync_config.sh
Shell
mit
2,344
#!/bin/sh MYNAME=`basename $0` MYFULLPATH=$PWD/$MYNAME if [ ! -f $MYFULLPATH ]; then echo "The script $MYNAME is apparently not being run inside its own working directory. Please cd into its directory before running it." exit 1 fi echo "Ok, it was run inside its own directory."
mvendra/sandboxes
bash/denyrun_outsideworkingdir.sh
Shell
mit
285
export PGHOST=172.17.0.2 export PGSSLMODE=disable export PGDATABASE=test export PGUSER=postgres
nad2000/gorilla-mux-pg-rest-api
testenv.sh
Shell
mit
97
#!/bin/sh cd `dirname $0` screen -S poifullchan -d -m java -jar ./target/scala-2.10/poifullchan.jar
yantene/poifullchan
run.sh
Shell
mit
101
#!/bin/bash scan-build -o analysis --status-bugs bash -c 'test/unit/configure.py && ninja -f .build/unit/build.ninja'
ludocode/mpack
tools/scan-build.sh
Shell
mit
118
#!/bin/bash # Make sure we have root access if ! [[ `whoami` = "root" ]]; then sudo echo -n "" fi # Starting lighty echo -n "Starting lighty" sudo ./sbin/lighttpd -f ./lighttpd.conf # Show PID echo " [$(cat ./lighttpd.pid)]"
C-Bouthoorn/didactic-octo-tribble
lighttpd/lighty-start.sh
Shell
mit
230
#!/usr/bin/env bash echo '----------------------' echo '------ SETUP.SH ------' echo '----------------------' ####################################### ## DIST SETUP ####################################### # Update packages sudo apt-get update # Install Packages sudo apt-get install -y apache2 curl libfontconfig # A...
aaronheath/afl-2016
vagrant/setup.sh
Shell
mit
878
#!/usr/bin/bash # # 大部分来自 https://vivaldi.club & 针对性修改 & 添加 # 逢千貼不縮寫為「n 千」,而改為逢萬縮寫「n 萬」 echo '逢千貼不縮寫為「n 千」,而改為逢萬縮寫「n 萬」' sed -i -r 's#([=\/] 1000)\) #\10)#' \ vendor/flarum/core/js/forum/dist/app.js \ vendor/flarum/core/js/admin/dist/app.js \ vendor/flarum/core/js/lib/utils/abbreviateNumber.js sed -i -r 's...
ProjectFishpond/pfp-docker-config
sc/hack/hackFlarum.sh
Shell
mit
8,294
#!/usr/bin/env bash now=$(date +"%Y%m%d_%H%M%S") #JOB_NAME="autoconverter_$now" JOB_NAME="change_gan_$now" TRAINER_PACKAGE_PATH=change-gan MAIN_TRAINER_MODULE=change-gan.main BUCKET_NAME=mlcampjeju2017-mlengine #JOB_DIR="gs://$BUCKET_NAME/autoconverter-7" JOB_DIR="gs://$BUCKET_NAME/job-dir/change-gan-bbox/change-gan...
shygiants/ChangeGAN
change-gan/train.sh
Shell
mit
2,318
#!/bin/bash if [ "$RAILS_ENV" == "production" ]; then echo passenger start -p "$PORT" --min-instances 3 --max-pool-size 3 --no-friendly-error-pages --nginx-config-template ./config/nginx.conf.erb exec bundle exec passenger start -p "$PORT" --min-instances 3 --max-pool-size 3 --no-friendly-error-pages --nginx-confi...
mikechau/pharaoh
server.sh
Shell
mit
387
#!/bin/bash # Kyle's script to toggle touchpad enable on XPS 15: 9560 # For some reason, there is no button to provide this functionality. # And the touchpad is mighty close to the space bar. # Try and get device ID first DEVICENUMBER=$(xinput | awk -F"\t" ' /Touchpad/ { idNum = substr( $2, 4); print idNum }') TOGG...
ksaxberg/MyScripts
touchpadToggle.sh
Shell
mit
821
#!/bin/bash # This is a CodeRunner compile script. Compile scripts are used to compile # code before being run using the run command specified in CodeRunner # preferences. This script is invoked with the following properties: # # Current directory: The directory of the source file being run # # Arguments $1-$n: User-d...
ascarter/CodeRunnerSupport
Languages/Java 8.crLanguage/Scripts/compile.sh
Shell
mit
2,999
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for CESA-2012:0710 # # Security announcement date: 2012-06-06 14:01:28 UTC # Script generation date: 2017-01-27 21:18:30 UTC # # Operating System: CentOS 6 # Architecture: x86_64 # # Vulnerable packages fix on version: # - firefox.i686:10.0.5-1.el6.centos # - x...
Cyberwatch/cbw-security-fixes
CentOS_6/x86_64/2012/CESA-2012:0710.sh
Shell
mit
1,269
#!/usr/bin/env bash # requires: brew install entr source ./cleanElm.sh cd elm ls `find . -name \*.elm -not -path \*elm-stuff* -print` | entr sh -c 'clear; rm ../src/main/resources/flakeless.js; elm-make `find . -name \*.elm -not -path \*elm-stuff* -print` --output ../src/main/resources/flakeless.js; cp ../src/mai...
alltonp/flakeless
autobuild.sh
Shell
mit
379
find "${SRCROOT}" \( -name "*.h" -or -name "*.m" \) -and \( -path "${SRCROOT}/Pods/*" -prune -o -print0 \) | xargs -0 wc -l | awk '$1 > 2000 && $2 != "total" {for(i=2;i<NF;i++){printf "%s%s", $i, " "} print $NF ":1: warning: File more than 2000 lines (" $1 "), consider refactoring." }' #Sends a warning after x amount o...
thankmelater23/MyFitZ
MyFitZ/CodeComplexity.sh
Shell
mit
422
#!/bin/bash A=$1 B=$2 # ImageMagick params BLUR=6x2 # SED matching stuff NUM='\([0-9]\{1,\}\)' FORMAT='{"x":\1,"y":\2,"v":[\3,\4,\5]},' FORMAT='\1,\2,\3,\4,\5' REGEX="s/^$NUM,$NUM: ($NUM,$NUM,$NUM).*/$FORMAT/g" convert \ $A -gaussian-blur $BLUR \ $B -gaussian-blur $BLUR \ -compose difference -composite ...
janjakubnanista/rain
src/js/server/api/bin/compare.sh
Shell
mit
422
source ~/dotfiles/cli_helper_functions.sh if [[ "$OSTYPE" = "linux-gnu"* ]]; then sudo apt-get install ruby ca-certificates sh -c "$(curl -fsSL https://raw.githubusercontent.com/Linuxbrew/install/master/install.sh)" test -d ~/.linuxbrew && eval $(~/.linuxbrew/bin/brew shellenv) test -d /home/linuxbrew/.linuxbrew &...
sivakumar-kailasam/dotfiles
brew/install.sh
Shell
mit
923
#!/bin/bash path="letvs/le_services" cd ./$path nohup node server.js & echo $1$path
flystome/webfe
Letv/rofe/_tool/child/services.sh
Shell
mit
84
#!/bin/sh # CYBERWATCH SAS - 2016 # # Security fix for RHSA-2015:1043 # # Security announcement date: 2015-06-03 10:42:14 UTC # Script generation date: 2016-05-12 18:12:59 UTC # # Operating System: Red Hat 6 # Architecture: x86_64 # # Vulnerable packages fix on version: # - virtio-win.noarch:1.7.4-1.el6_6 # # Las...
Cyberwatch/cbw-security-fixes
Red_Hat_6/x86_64/2015/RHSA-2015:1043.sh
Shell
mit
611
#!/usr/bin/zsh # Give processing files via arguments. # Set processing files. # This paramater is overwritable with .purebuild-puredoc.rc configuration file. typeset -xT FILES files files=("$@") # Load config file (.purebuild-puredoc.rc on current directory.) # If $load_conf is set "no", skip this process. if [[ -f ....
reasonset/purebuilder
purebuild-puredoc.zsh
Shell
mit
1,746
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2015:1604 # # Security announcement date: 2015-08-12 16:48:42 UTC # Script generation date: 2017-01-01 21:16:34 UTC # # Operating System: Red Hat 6 # Architecture: x86_64 # # Vulnerable packages fix on version: # - java-1.6.0-ibm.x86_64:1.6.0.16.7-1jpp.1...
Cyberwatch/cbw-security-fixes
Red_Hat_6/x86_64/2015/RHSA-2015:1604.sh
Shell
mit
1,128
pass=$(perl -e 'print crypt($ARGV[0], "password")', $3) expect -c " spawn ssh $5@$1 expect -re \".*?assword.*?\" send \"$2\n\" expect -re \".*?root.*?\" send \"useradd -M -p $pass $4 -G $6\n\" send \"echo DONE!!!\n\" expect -re \"DONE!!!\""
clark21/UAC
stack/addUser.sh
Shell
mit
242
#!/bin/sh # # Update messages_xx.po and messages_xx.class files, # from both java and jsp sources. # Requires installed programs xgettext, msgfmt, msgmerge, and find. # # usage: # bundle-messages.sh (generates the resource bundle from the .po file) # bundle-messages.sh -p (updates the .po file from the source tag...
NoYouShutup/CryptMeme
CryptMeme/apps/i2psnark/java/bundle-messages.sh
Shell
mit
2,991
#!/bin/bash pushd secure/ for gpg_file in *.gpg do file=$(echo $gpg_file | rev | cut -c 5- | rev) gpg -d $gpg_file > $file done chmod 0600 *.key popd
beardandcode/infrastructure
tools/secure/decrypt.sh
Shell
mit
162
#!/usr/bin/env bash # # run experiment ant push results to p2rank-results git repo # set -x git-push() { set -e git pull git add --all git commit -m "experiment: $@" git push } ./prank.sh "$@" if [ $? -eq 0 ]; then echo EXPERIMENT WENT OK. Pushing results to git... ( cd ../p2rank-result...
rdk/p2rank
experiment.sh
Shell
mit
361
#!/usr/bin/env bash read -rd '' BOOTSTRAP_SCRIPT <<EOF #!/usr/bin/env bash supervisord -n EOF read -rd '' UWSGI_INI <<EOF [uwsgi] socket = /pynab-run/socket chmod-socket = 666 vacuum = true master = true chdir = /pynab wsgi-file = api.py processes = 4 threads = 2 EOF read -rd '' SUP_CONFIG <<EOF [program:scan] comm...
NeilBetham/container-build-scripts
pynab/config.sh
Shell
mit
1,258
#!/bin/bash wd=`pwd` cd ../.. if [ $# -ge 1 ] then in=$1 shift python -m jskparser.jskparser $* $wd/$in else if [ ! -d $wd/out ]; then mkdir -p $wd/out else rm $wd/out/* fi FILES=$wd/input/* for f in $FILES do echo "python -m jskparser.jskparser $f.java > $wd/out/$(basename $f...
plum-umd/java-sketch
jskparser/tests/symtab/run.sh
Shell
mit
544
#!/bin/bash source inc_vars.sh # Script for convergence analysis on transport model for different times steps #------------------------------------------ echo " Basic Parameters " echo "---------------------------------" echo " " cat par/trans.par awk '{ if ( NR == 9 ) { print "8 0";} else {print $0...
pedrospeixoto/iModel
sh/runntimesgrids7.sh
Shell
mit
1,393